<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Services\Admin\PopupService;
use Illuminate\Http\Request;

class PopupController extends Controller
{
    protected $popUp;

    public function __construct(PopupService $popupService) {
        parent::__construct();
        $this->popUp = $popupService;
    }

    public function index(){
        $this->response->data =  $this->popUp->index();
        return $this->json();
    }

    public function update(Request $request)
    {
        $request->validate([
            'pop_up' => 'nullable|image|mimes:jpeg,png,jpg,gif,svg|max:2048'
        ]);

        $this->popUp->update($request->file('pop_up'));
        $this->response->message = __('resources.update_success');
        return $this->json();
    }

    public function disable()
    {
        $this->popUp->disable();
        $this->response->message = __('resources.update_success');
        return $this->json();
    }

    public function restore()
    {
        $this->popUp->restore();
        $this->response->message = __('resources.update_success');
        return $this->json();
    }
}
