<?php

namespace App\Http\Controllers\Agent;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Models\Agent;
use Psr\Log\LoggerInterface;
use Illuminate\Support\Facades\Log;

class DeviceTokenController extends Controller
{
    /**
     * @var LoggerInterface
     */
    protected $logger;

    public function __construct() {
        parent::__construct();
        $this->logger = Log::channel('agent-deviceTokenController');
    }


    public function deviceToken(Request $request){
        try{
            $agent = Agent::where('id', auth()->user()->id)->first();

            if($agent){
                $agent->device_token = $request->device_token;
                $agent->save();
            } else {
                $this->code = 400;
                $this->response->status = false;
                $this->response->message = __('resources.not_found');  
    
                $this->logger->error(__('resources.not_found'));
                return $this->json(); 
            }

            $this->response->message = __('resources.update_success');
        } catch(\Exception $e) {
            $this->code = 500;
            $this->logger->error($e->getMessage());
            $this->response->message = __('resources.update_failed');
        }

        return $this->json();
    }
}
