<?php

namespace App\Http\Controllers\Agent;

use App\Http\Controllers\Controller;
use App\Services\Agent\ScheduleService;
use Illuminate\Http\Request;

class ScheduleController extends Controller
{
    protected $schedule;

    public function __construct(ScheduleService $scheduleService) {
        parent::__construct();
        $this->schedule = $scheduleService;
    }

    public function index(Request $request){
        $data = $this->schedule->getAll();
        
        $this->response->data = $data;
        return $this->json();
    }
    
    public function detail(Request $request){
        $this->response->data = $this->schedule->getDetailByDate($request->date);
        return $this->json();
    }

    public function notificationSchedule($limit)
    {
        $this->response->data = $this->schedule->getAllByLimit($limit);
        return $this->json();
    }

    public function detailNotificationSchedule($id)
    {
        $this->response->data = $this->schedule->getDataById($id);
        return $this->json();
    }
}
