<?php

namespace App\Repositories\Admin;

use App\Models\User;

class AuthRepository
{
    private $model;

    public function __construct(User $model)
    {
        $this->model = $model;
    }

    public function index()
    {
        return $this->model->withTrashed();
    }

    public function getDataByUsername($username)
    {
        return $this->model->where('username', $username)->first();
    }

    public  function create($username, $password)
    {
        return $this->model->create([
            'username' => $username,
            'password' => bcrypt($password),
        ]);
    }

    public function detail($id)
    {
        return $this->model->where('id', $id)->withTrashed()->first();
    }

    public function update($id, $username, $password)
    {
        return $this->detail($id)->update([
            'username' => $username,
            'password' => bcrypt($password),
        ]);
    }

    public function disable($id)
    {
        return $this->detail($id)->delete();
    }

    public function restore($id)
    {
        return $this->model->onlyTrashed()->where('id', $id)->restore();
    }
}
