<?php

namespace App\Repositories\Admin\Landing;

use App\Models\Form;

class FormRepository
{
    private $model;

    public function __construct(Form $model)
    {
        $this->model = $model;
    }

    public function getAll(){
        return $this->model->get();
    }

    public function create($title, $document){
        return $this->model->create([
            'title' => $title,
            'document' => $document
        ]);
    }
    
    public function detail($id)
    {
        return $this->model->where('id', $id)->first();
    }

    public function delete($id)
    {
        return $this->detail($id)->delete();
    }

    public function update($id, $title, $document){
        return $this->detail($id)->update([
            'title' => $title,
            'document' => $document
        ]);
    }

}
