<?php

namespace App\Repositories\Admin\Landing;

use App\Models\Slider;

class SliderRepository
{
    private $model;

    public function __construct(Slider $model)
    {
        $this->model = $model;
    }

    public function getAll(){
        return $this->model->where('type', '=', 1)->latest('position')->get();
    }

    public function create($title, $description, $position, $fileBannerName){
        return $this->model->create([
            'title' => $title,
            'description' => $description,
            'position' => $position,
            'banner' => $fileBannerName,
            'type' => 1
        ]);
    }

    public function detail($id)
    {
        return $this->model->where('id', $id)->first();
    }

    public function update($id, $title, $description, $position, $fileBannerName)
    {
        return $this->detail($id)->update([
            'title' => $title,
            'description' => $description,
            'position' => $position,
            'banner' => $fileBannerName,
        ]);
    }
    
    public function delete($id)
    {
        return $this->detail($id)->delete();
    }

    public function updateDisplay($id, $status)
    {
        return $this->detail($id)->update([
            'display' => !$status
        ]);
    }
}
