<?php

namespace App\Repositories\Admin;

use App\Models\Popup;

class PopupRepository
{
    private $model;

    public function __construct(Popup $model)
    {
        $this->model = $model;
    } 

    public function index()
    {
        return $this->model->withTrashed()->first();
    }

    public function store($image)
    {
        return $this->model->create([
            'name'  => $image
        ]);
    }

    public function detail($id)
    {
        return $this->model->where('id', $id)->first();
    }

    public function update($id, $name)
    {
        return $this->detail($id)->update([
            'name' => $name
        ]);
    }

    public function disable()
    {
        return $this->model->first()->delete();
    }

    public function restore()
    {
        return $this->model->onlyTrashed()->first()->restore();
    }
}
