<?php

namespace App\Repositories\Agent;

use App\Models\Menu;

class MenuRepository
{
    private $model;

    public function __construct(Menu $model)
    {
        $this->model = $model;
    } 

    public function getAll()
    {
        return $this->model->get();
    }

    public function getParentMenu()
    {
        return $this->model->where('parent_id', null)->orderBy('position');
    }

    public function getMenuByName($name)
    {
        return $this->model->where('name', $name)->with('children')->first();
    }
}
