<?php

namespace App\Services\Admin\Landing;

use App\Repositories\Admin\Landing\CallCenterRepository;

class CallCenterService 
{
    protected $callCenter;

    public function __construct(CallCenterRepository $callCenter)
    {
        $this->callCenter = $callCenter;
    }

    public function getAll()
    {
        return $this->callCenter->getAll();
    }

    public function createData($description)
    {
        return $this->callCenter->create($description);
    }
    

    public function updateData($description)
    {
        $data = $this->getAll();
        if(is_null($data)){
            return $this->createData($description);
        } else {
            return $this->callCenter->update($description);
        }
    }

    public function descriptionImage($file)
    {
        $filename = time().'.'.$file->getClientOriginalExtension();
        $file->move(public_path('call_center'), $filename);

        return $filename;
    }
}
