<?php

namespace App\Services\Admin\Landing;

use App\Repositories\Admin\Landing\FormRepository;
use App\Services\Exception\ServiceException;
use File;

class FormService 
{
    protected $form;

    public function __construct(FormRepository $form)
    {
        $this->form = $form;
    }

    public function getAll()
    {
        return $this->form->getAll();
    }

    public function createData($title, $document)
    {
        $fileDocumentName = time().'.'.$document->getClientOriginalExtension();
        $document->move(public_path('form'), $fileDocumentName);

        return $this->form->create($title, $fileDocumentName);
    }
    
    public function getDataById($id)
    {
        $data = $this->checkAvailability($id);
        return $data;
    }

    public function updateData($id, $title, $document)
    {
        $data = $this->checkAvailability($id);

        if(!empty($document)){
            if(!empty($data->document)){
                File::delete(public_path('form/'.$data->document));
            }

            $fileDocumentName = time().'.'.$document->getClientOriginalExtension();
            $document->move(public_path('form'), $document);

            return $this->form->update($id, $title, $fileDocumentName);
        }

        return $this->form->update($id, $title, $data->document);
    }

    public function deleteData($id)
    {
        $data = $this->checkAvailability($id);

        if(File::exists(public_path('form/'.$data->document))){
            File::delete(public_path('form/'.$data->document));
        }
        
        return $this->form->delete($id);
    }

    public function checkAvailability($id)
    {
        $data = $this->form->detail($id);
        if(is_null($data)){
            throw new ServiceException('000');
        }

        return $data;
    }
}
