<?php

namespace App\Services\Admin;

use App\Repositories\Admin\PopupRepository;
use App\Services\Exception\ServiceException;
use File;

class PopupService
{

    protected $popup;

    public function __construct(
        PopupRepository $popup
    ) {
        $this->popup = $popup;
    }

    public function index()
    {
        return $this->popup->index();
    }

    public function update($image)
    {
        $data = $this->popup->index();
        if(is_null($data)){
            $filePopUpName = time() . '.' . $image->getClientOriginalExtension();
            $image->move(public_path('pop_up'), $filePopUpName);

            return $this->popup->store($filePopUpName);
        }

        if(!empty($image)){
            if(!empty($data->name)){
                File::delete(public_path('pop_up/'.$data->name));
            }

            $filePopUpName = time() . '.' . $image->getClientOriginalExtension();
            $image->move(public_path('pop_up'), $filePopUpName);

            return $this->popup->update($data->id, $filePopUpName);
        }

        return $this->popup->update($data->id, $data->name);
    }

    public function disable()
    {
        return $this->popup->disable();
    }

    public function restore()
    {
        return $this->popup->restore();
    }
}
