<?php

namespace App\Services\Agent;

use App\Repositories\Agent\ScheduleRepository;
use Carbon\Carbon;

class ScheduleService
{
    protected $schedule;

    public function __construct(ScheduleRepository $schedule)
    {
        $this->schedule = $schedule;
    }

    public function getAll()
    {
        return $this->schedule->getAll();
    }

    public function getDetailByDate($date)
    {
        $firstDate = Carbon::parse($date)->format('Y-m-d 00:00:00');
        $lastDate = Carbon::parse($date)->format('Y-m-d 23:59:59');

        return $this->schedule->getDetailByDate($firstDate, $lastDate);
    }

    public function getAllByLimit($limit)
    {
        return $this->schedule->getAllByLimit($limit);
    }

    public function getDataById($id)
    {
        return $this->schedule->getDataById($id);
    }
}
