<?php

namespace App\Services\Landing;

use App\Repositories\Landing\KSKRepository;
use App\Services\Exception\ServiceException;

class KSKService
{
    protected $ksk;

    public function __construct(KSKRepository $kskRepository)
    {
        $this->ksk = $kskRepository;
    }

    public function getAll()
    {
        return $this->ksk->getAll();
    }

    public function getDataById($id)
    {
        $data = $this->checkAvailability($id);
        return $data;
    }

    public function checkAvailability($id)
    {
        $data = $this->ksk->detail($id);
        if(is_null($data)){
            throw new ServiceException('000');
        }

        return $data;
    }
}
