<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;

class UserTablePermission extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        // Super Admin
        $superAdmin = \App\Models\User::firstOrCreate([
            'username'  => 'supervisor'
        ],[
            'password'  => bcrypt('supervisor123'),
        ]);

        if (!$superAdmin->hasRole(env('SUPERVISOR_ROLE'))){
            $superAdmin->assignRole(env('SUPERVISOR_ROLE'));
        }

        // Admin
        $admin = \App\Models\User::firstOrCreate([
            'username'  => 'admin'
        ],[
            'password'  => bcrypt('admin123'),
        ]);

        if (!$admin->hasRole(env('ADMIN_ROLE'))){
            $admin->assignRole(env('ADMIN_ROLE'));
        }
    }
}
